Bug 16941 - Can not add new patron in staff client
Summary: Can not add new patron in staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 16909
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-19 14:44 UTC by Marc Véron
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16941 - Can not add new patron in staff client (1.32 KB, patch)
2016-07-19 14:51 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16941: Can not add new patron in staff client (1.41 KB, patch)
2016-07-19 15:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16941: Can not add new patron in staff client (1.46 KB, patch)
2016-07-21 10:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-07-19 14:44:33 UTC
It is no longer possible to add a patron in staff client.

To reproduce:
- Go to staff client Home > Patron
- New patron
- Choose a category and fill form, submit
Result: Form reloads, patron data are not saved.

Note: Duplicate or edit an existing patron works, adding a patron from OPAC  works.
Comment 1 Marc Véron 2016-07-19 14:51:15 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-19 15:27:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-21 10:09:35 UTC
Created attachment 53560 [details] [review]
Bug 16941: Can not add new patron in staff client

To reproduce:
- Go to staff client Home > Patron
- New patron
- Choose a category and fill form, submit
Result: Form reloads, patron data are not saved.

To test:
- Apply patch
- Repeat steps above
- Verify that patron data are saved and the new patron's
  detail page displays
- Try to enter a duplicate patron (e.g. same surname, firstname
  and birthday as above)
- Verify that a duplicate message appears

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-22 17:07:39 UTC
Pushed to master for 16.11, thanks Marc!